Name:          jts
Version:       1.15.0
Release:       4%{?dist}
Summary:       Java Topology Suite
License:       EPL-1.0 or BSD
URL:           https://projects.eclipse.org/projects/locationtech.jts
Source0:       https://github.com/locationtech/jts/archive/jts-%{version}/jts-jts-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.googlecode.json-simple:json-simple)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.jdom:jdom2)

BuildArch:     noarch

%description
The LocationTech JTS Topology Suite (JTS) is an open source Java software
library that provides an object model for planar geometry together with a
set of fundamental geometric functions. JTS conforms to the Simple Features
Specification for SQL published by the Open GIS Consortium.  JTS is designed
to be used as a core component of vector-based geomatics software such as
geographical information systems. It can also be used as a general-purpose
library providing algorithms in computational geometry.

%package app
Summary: JTS - Applications & tools

%description app
Applications & tools for working with JTS.

%package example
Summary: JTS - Examples

%description example
Examples of working JTS code.

%package io
Summary: JTS - IO

%description io
JTS Extension for to assist in read / write operations.

%package parent
Summary: JTS - Parent POMs

%description parent
JTS - Parent POMs.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n jts-jts-%{version}

# Uneeded plugins for RPM builds
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-release-plugin

# Remove this test because junit.swingui is unavailable
rm modules/core/src/test/java/test/jts/junit/SimpleTest.java
sed -i -e '/SimpleTest\.class/d' modules/core/src/test/java/test/jts/junit/MasterTester.java

# Don't bundle deps
%pom_remove_plugin :maven-assembly-plugin modules/tests modules/app

# Backward compatibility aliases
%mvn_alias org.locationtech.jts:jts-core com.vividsolutions:jts-core com.vividsolutions:jts
%mvn_alias org.locationtech.jts.io:jts-io-common com.vividsolutions:jts-io

%mvn_package ":jts-io*" jts-io
%mvn_package ":jts{,-modules}" jts-parent
%mvn_package ":jts-tests" jts-app

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}-core
%doc README.md USING.md MIGRATION.md
%license LICENSE*

%files app -f .mfiles-%{name}-app
%files example -f .mfiles-%{name}-example
%files io -f .mfiles-%{name}-io

%files parent -f .mfiles-%{name}-parent
%license LICENSE*

%files javadoc -f .mfiles-javadoc
%license LICENSE*

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Apr 19 2018 Mat Booth <mat.booth@redhat.com> - 1.15.0-1
- Update to latest release
- Project moved to the LocationTech working group of the Eclipse
  Foundation
- License change to EPL or BSD
- Enable test suite

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Feb 27 2016 gil cattaneo <puntogil@libero.it> 1.14-1
- update to 1.14

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 30 2016 gil cattaneo <puntogil@libero.it> - 1.13-5
- rebuilt

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb 09 2015 gil cattaneo <puntogil@libero.it> 1.13-3
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 26 2013 gil cattaneo <puntogil@libero.it> 1.13-1
- initial rpm
